Preferred bug tracker

Please visit the preferred bug tracker to report your issue.

This queue is for tickets about the Perl-Critic CPAN distribution.

Report information
The Basics
Id:
55735
Status:
rejected
Priority:
Low/Low
Queue:

People
Owner:
Nobody in particular
Requestors:
csjewell [...] cpan.org
Cc:
AdminCc:

BugTracker
Severity:
Unimportant
Broken in:
(no value)
Fixed in:
(no value)



Subject: Perl::Critic builder tries to use an English capability that isn't in its declared version
package Perl::Critic::Module::Build; use 5.006001; ... use English qw< $OS_ERROR $EXECUTABLE_NAME -no_match_vars >; ^ ---------------------------------------------------| The two lines above don't match... (at least, -no_match_vars is not documented as an import that works for English until 5.008001. Don't know if this is actually a bug, or what.
Subject: Re: [rt.cpan.org #55735] Perl::Critic builder tries to use an English capability that isn't in its declared version
Date: Wed, 21 Apr 2010 21:03:29 -0500
To: bug-Perl-Critic@rt.cpan.org
From: Elliot Shank <perl@galumph.com>
On 3/20/10 2:45 AM, Curtis Jewell via RT wrote:
Show quoted text
> The two lines above don't match... (at least, -no_match_vars is not > documented as an import that works for English until 5.008001. > > Don't know if this is actually a bug, or what.
Interesting. You're right: English didn't support -no_match_vars in 5.6.x; it looks like the first one that did was the one included in 5.7.3. Given that it doesn't break things and it only slows down "ancient" perls, I'm not inclined to do anything about it because fixing it would require not using English.


This service runs on Request Tracker, is sponsored by The Perl Foundation, and maintained by Best Practical Solutions.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.